package com.tjk.entity;

import java.io.Serializable;
import java.sql.Timestamp;

public class Attachment implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = 2883671940947802456L;

	// Fields
	private Integer id;
	private String orginUri;
	private String uri;
	private Integer uid;
	private Integer attachmentType;
	private Integer relationId;
	private Integer reserveId;
	private Integer size;
	private String title;
	private Timestamp postTime;
	
	// Constructors

	
	/** default constructor */
	public Attachment() {
		super();
	}
	/** full constructor */
	public Attachment(Integer id, String orginUri, String uri, Integer uid,
			Integer attachmentType, Integer relationId, Integer reserveId,
			Integer size, String title, Timestamp postTime) {
		super();
		this.id = id;
		this.orginUri = orginUri;
		this.uri = uri;
		this.uid = uid;
		this.attachmentType = attachmentType;
		this.relationId = relationId;
		this.reserveId = reserveId;
		this.size = size;
		this.title = title;
		this.postTime = postTime;
	}
	
	// Property accessors
	
	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public String getOrginUri() {
		return orginUri;
	}
	public void setOrginUri(String orginUri) {
		this.orginUri = orginUri;
	}
	public String getUri() {
		return uri;
	}
	public void setUri(String uri) {
		this.uri = uri;
	}
	public Integer getUid() {
		return uid;
	}
	public void setUid(Integer uid) {
		this.uid = uid;
	}
	public Integer getAttachmentType() {
		return attachmentType;
	}
	public void setAttachmentType(Integer attachmentType) {
		this.attachmentType = attachmentType;
	}
	public Integer getRelationId() {
		return relationId;
	}
	public void setRelationId(Integer relationId) {
		this.relationId = relationId;
	}
	public Integer getReserveId() {
		return reserveId;
	}
	public void setReserveId(Integer reserveId) {
		this.reserveId = reserveId;
	}
	public Integer getSize() {
		return size;
	}
	public void setSize(Integer size) {
		this.size = size;
	}
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	public Timestamp getPostTime() {
		return postTime;
	}
	public void setPostTime(Timestamp postTime) {
		this.postTime = postTime;
	}
	
}
